# TOR_Transparent_Proxy

Instructions for setting up a TOR transparent proxy.

https://gitlab.torproject.org/legacy/trac/-/wikis/doc/TransparentProxy#anonymizing-middlebox

https://www.experts-exchange.com/articles/16980/How-to-set-up-a-TOR-Transparent-Proxy.html

https://obscurix.github.io/transparent-proxy.html

```
_trans_port="9040" # Tor's TransPort
_inc_if="eth1"

iptables -F
iptables -t nat -F

iptables -t nat -A PREROUTING -i $_inc_if -p udp --dport 53 -j REDIRECT --to-ports 5353
iptables -t nat -A PREROUTING -i $_inc_if -p udp --dport 5353 -j REDIRECT --to-ports 5353
iptables -t nat -A PREROUTING -i $_inc_if -p tcp --syn -j REDIRECT --to-ports $_trans_port
```